Bug 921887 - initramfs fails to mount lvm disks and systemd drop in an emergency console
Summary: initramfs fails to mount lvm disks and systemd drop in an emergency console
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-15 07:52 UTC by Nicolas Mailhot
Modified: 2015-06-30 01:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 982608 (view as bug list)
Environment:
Last Closed: 2015-06-30 01:39:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Mailhot 2013-03-15 07:52:47 UTC
Description of problem:
initramfs fails to mount lvm disks and systemd drop in an emergency console

Version-Release number of selected component (if applicable):
dracut-026-48.git20130315.fc19.x86_64
grubby-8.23-1.fc19.x86_64
kernel-3.9.0-0.rc2.git0.3.fc20.x86_64
lvm2-2.02.98-5.fc19.x86_64
lvm2-libs-2.02.98-5.fc19.x86_64
mdadm-3.2.6-15.fc19.x86_64
systemd-198-5.fc19.x86_64
systemd-libs-198-5.fc19.x86_64
systemd-python-198-5.fc19.x86_64
systemd-sysv-198-5.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
boot
  
Actual results:
emergency console

Expected results:
successful boot

Additional info:
successful boot log (for some definitions of successful) in Bug #921732 - Kernel oops after a few hours

Comment 1 Harald Hoyer 2013-03-15 09:05:36 UTC
can you attach the /run/initramfs/sosreport.txt?

just mount /boot manually and copy over the file

Comment 2 Harald Hoyer 2013-03-15 09:27:07 UTC
anyway, what is the output of:

# lsinitrd | head -4

Comment 3 Harald Hoyer 2013-03-15 09:45:11 UTC
(In reply to comment #2)
> anyway, what is the output of:
> 
> # lsinitrd | head -4

sorry, of course:

# lsinitrd /boot/initramfs-3.9.0-0.rc2.git0.3.fc20.x86_64.img | head -4

Comment 4 Harald Hoyer 2013-03-15 11:55:16 UTC
fixed!

# koji download-build --arch=$(arch) systemd-198-6.fc19
# koji download-build --arch=$(arch) dracut-026-48.git20130315.fc19
# rpm -Fvh systemd*.rpm dracut*.rpm
# dracut -f --kver=<kernel_version>

Comment 5 Nicolas Mailhot 2013-03-15 19:51:47 UTC
Thank you for the quick fix, I didn't even have the time to return home to provide you the requested information:)

Comment 6 Fedora End Of Life 2013-09-16 17:12:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 7 SpuyMore 2013-10-04 11:18:59 UTC
I'm using fc18 and updated dracut-024-25.git20130205.fc18.x86_64 to dracut-029-1.fc18.2.x86_64.rpm. First thing I noticed was the absence of /etc/dracut.conf.d/01-dist.conf in the new dracut. That's why I ran dracut to generate a new initramfs and compared it to the initramfs file I had before. It turned out to be almost twice as large, not necessarily a problem, but inside I noticed among others lvm was missing. And that would be a big problem because I am using lvm + md. So I reverted dracut, /etc files, initramfs back because I doubt my system will boot using new dracut and initramfs. And this bug report seems to confirm my fears.

Comment 8 Fedora End Of Life 2015-05-29 08:55:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-30 01:39:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.